/*
 Theme Name:   Healthy Home Energy & Consulting
 Theme URI:    https://www.energycircle.com
 Description:  Healthy Home Energy & Consulting
 Author:       Energy Circle
 Author URI:   https://www.energycircle.com
 Template:     generatepress
 Version:      0.1
*/

/* ------------------- Desktop navigation & sticky styles -------------------- */
#sticky-navigation,
#mobile-header.is_stuck {
    box-shadow: 0 5px 2px -2px rgb(0 0 0 / 20%);
    background: white;
}

.main-navigation.sticky-navigation-transition .main-nav > ul > li > a {
    font-size: 16px;
}

.site-logo img {
    max-width: 250px;
}

.overlay-hero h1 {
   text-shadow: 0 6px 6.7px rgba(0, 0, 0, 0.55);
}

#site-navigation .navigation-branding {
    display: none !important;
}

#site-navigation .nav-align-right .inside-navigation {
    justify-content: space-between;
}

#site-navigation .inside-navigation.grid-container {
    width: 100%;
    max-width: unset;
    justify-content: center;
}

#site-navigation .inside-navigation.grid-container .div#primary-menu {
    width: 100%;
}

nav#site-navigation {
    border-top: 1px solid var(--global-color-3);
}

#site-navigation ul#menu-main-nav-1 li:not(:last-of-type) {
    border-right: 1px solid var(--global-color-3);
}

.main-navigation .main-nav>ul {
    justify-content: center;
}

/* -------------------- Auxiliary menu styles -------------------- */
.secondary-navigation .menu-toggle {
    display: none;
}

.secondary-nav-aligned-right .secondary-navigation .inside-navigation {
    justify-content: flex-start !important;
    flex-direction: row-reverse;
    padding: 40px 5px !important;
}

.secondary-navigation #nav-button {
    margin-top: 0;
}

#nav-button span.gb-text {
    padding-left: 10px;
}

div#aux-nav-logo {
    position: absolute;
    left: 0;
    max-width: 250px;
}

@media (max-width: 1180px) {
    #secondary-navigation {
        display: none;
    }
}

@media (max-width: 992px) {
    .secondary-navigation ul,
    .secondary-navigation:not(.toggled) .main-nav > ul {
        display: none;
    }
}

@media (max-width: 768px) {
    .secondary-navigation {
        text-align: center !important;
    }
    .secondary-navigation ul {
        display: block;
    }
    .secondary-navigation .sf-menu > li {
        float: none;
        display: inline-block !important;
    }
}

/* -------------------- Mobile header and hamburger menu styles -------------------- */
.mobile-header-navigation {
    box-sizing: border-box;
    padding: 10px;
    position: relative;
    background: transparent;
}

span.mobile-menu {
    display: none;
}

.mobile-header-navigation .gp-icon {
  font-size: 24px;
  line-height: inherit;
}

.mobile-header-navigation .gp-icon svg {
  height: 1.1em;
  width: 1.1em;
}

#generate-slideout-menu .gb-button-wrapper .gb-button,
.slideout-navigation.do-overlay .inside-navigation .main-nav,
.slideout-navigation.do-overlay .inside-navigation .slideout-widget {
    width: 100%;
}

.slideout-navigation.do-overlay .inside-navigation .main-nav {
    padding-left: 20px;
    margin-bottom: 0;
}

#generate-slideout-menu.main-navigation .main-nav ul ul {
    left: 20px !important;
}

.main-navigation.slideout-navigation .main-nav > ul > li > a {
    line-height: 30px;
}

#generate-slideout-menu .gb-block-image,
#generate-slideout-menu .gp-collapsible-wrapper {
    display: flex;
    margin-left: 27px;
}

#generate-slideout-menu .gb-container-2872b803 {
    width: 100%;
}

#generate-slideout-menu .gb-block-image img {
    height: auto;
    width: 150px;
    margin-left: 20px;
}

#generate-slideout-menu.do-overlay .slideout-menu li[class*="current-menu-"] > a {
    color: var(--global-color-1) !important;
    background-color: unset;
}

#generate-slideout-menu.do-overlay .slideout-menu li {
    text-align: left !important;
}

#menu-aux-menu-2.gp-collapsible-menu {
    display: block;
}

#menu-aux-menu-2.gp-collapsible-menu li {
    display: flex;
    flex-direction: column;
    justify-content: flex-start;
    align-items: flex-start;
    margin-bottom: 15px;
}

#menu-aux-menu-2.gp-collapsible-menu li a {
    color: var(--global-color-4);
    padding-left: 10px;
}

ul#menu-aux-nav-2 {
    display: inline-flex;
    flex-direction: column;
    margin-bottom: 20px;
}

#generate-slideout-menu.main-navigation .aux-menu ul {
  display: block;
  position: relative;
  opacity: 1;
  left: 0;
  top: 0;
  width: 90%;
  text-align: left;
	padding-left: 25px;
}

#generate-slideout-menu.main-navigation .aux-menu {
  width: 100%;
  text-align: left;
}

#generate-slideout-menu.main-navigation .aux-menu ul li {
	margin: 20px 0;
}

#generate-slideout-menu.main-navigation .aux-menu ul li a {
	color: var(--global-color-3);
}


#generate-slideout-menu.main-navigation .aux-menu ul li a:hover {
	color: var(--global-color-2);
}

#generate-slideout-menu.main-navigation .aux-menu .wp-block-navigation__submenu-icon {
  position: absolute;
  right: 15px;
  top: 5px;
}

#generate-slideout-menu.main-navigation .aux-menu.wp-block-navigation .wp-block-navigation-item {
  flex-direction: column;
  text-align: left;
  width: 100%;
  align-items: flex-start;
}

#generate-slideout-menu.main-navigation .aux-menu.wp-block-navigation .wp-block-navigation__submenu-container {
  border: 0;
  font-size: 17px;
  background-color: var(--e3-dark-blue);
}

ul.onpage-menu {
	list-style: none;
	display: flex;
	gap: 20px;
	flex-wrap: wrap;
}

ul.onpage-menu li a {
	color: var(--global-color-1);
}

ul.onpage-menu li a:hover, ul.onpage-menu li.current-menu-item a {
	text-decoration: underline;
}

#menu-aux-menu-2.gp-collapsible-menu li a:hover, 
#menu-aux-menu-2.gp-collapsible-menu li.current-menu-ancestor > a, 
#menu-aux-menu-2.gp-collapsible-menu li.current-menu-item a 
 {
     color: var(--global-color-3);
}

#menu-aux-menu-2.gp-collapsible-menu .sub-menu-toggle {
    color: var(--global-color-4);
    background: none;
    border: none;
    padding: 0;
    cursor: pointer;
    position: absolute;
    right: 20px;
}

#menu-aux-menu-2.gp-collapsible-menu li.open > .sub-menu {
  display: unset;
  position: relative;
  left: 0;
  opacity: 1;
  height: auto;
  padding: 5px 0 0 15px;
}

#menu-aux-menu-2.gp-collapsible-menu li.open > .sub-menu li {
    position: relative;
    left: 0;
}

#menu-aux-menu-2.gp-collapsible-menu .toggle-icon {
    transition: transform 0.3s ease;
}

#menu-aux-menu-2.gp-collapsible-menu li.open .toggle-icon {
    transform: rotate(180deg);
}

.main-navigation.has-branding .menu-toggle, .main-navigation.has-sticky-branding.navigation-stick .menu-toggle {
    padding-right: 40px;
}

.slideout-navigation .main-nav {
    margin-bottom: 20px;
}

/* Update color */
.slideout-exit .gp-icon svg {
    fill: var(--global-color-4);
}

.slideout-navigation.main-navigation .main-nav ul li a {
    color: var(--global-color-1);
    padding: 6px !important;
}

#generate-slideout-menu #menu-aux-nav-2 li {
    display: flex;
    line-height: 3em;
}

#generate-slideout-menu #menu-aux-nav-2 li a {
    color: var(--global-color-3);
}

#generate-slideout-menu button {
    background-color: unset;
    color: var(--global-color-3);
    padding-top: 0;
    padding-bottom: 0;
}

#generate-slideout-menu.slideout-navigation.do-overlay .menu-item-has-children .dropdown-menu-toggle {
    border-left: unset;
}

#generate-slideout-menu .aux-nav-buttons {
    order: 1;
    padding-top: 2em;
}

#generate-slideout-menu .wp-block-site-logo {
    padding-top: 2em;
}

#generate-slideout-menu .aux-nav-buttons>div>div {
    row-gap: 1em
}

body:not(.resize-header) #mobile-header img {
    height: 80px;
}

@media (max-width: 1279px) {
    #generate-slideout-menu.main-navigation ul.ec_menu_ul {
        display: block !important;
    }
    .slideout-navigation.do-overlay .slideout-exit {
        position: fixed !important;
        right: 20px !important;
    }

    .slideout-navigation.do-overlay .inside-navigation {
        padding: 0 !important;
    }
}

/* -------------------- Testimonials -------------------- */
.testimonials .testimonial-quote:before {
    content: open-quote;
    top: -30px;
    left: -80px;
}

.testimonials .testimonial-quote:after {
    content: close-quote;
    bottom: 0;
    right: -80px;
}

.testimonials .testimonial-quote:before,
.testimonials .testimonial-quote:after {
    position: absolute;
    display: block;
    width: 40px;
    height: 40px;
    font-size: 4em;
    color: var(--global-color-1);
}

.testimonials :is(.custom-field-name, .custom-field-location) {
    text-transform: uppercase;
    margin-bottom: 0;
}

.testimonials.wp-block-getwid-post-carousel.has-arrows-inside
    .slick-prev:before,
.testimonials.wp-block-getwid-post-carousel.has-arrows-inside
    .slick-next:before {
    color: var(--global-color-4);
    font-size: 32px;
    opacity: 1;
}

.testimonials.wp-block-getwid-post-carousel.has-arrows-inside .slick-prev,
.testimonials.wp-block-getwid-post-carousel.has-arrows-inside .slick-next {
    text-shadow: none;
}


.wp-block-getwid-post-carousel.custom-post-type-testimonial .slick-track .gb-element-38e368a1 {
    height: 50px !important;
}

.custom-post-type-testimonial .wp-block-getwid-post-carousel__slide.slick-slide.slick-active div {
    height: unset !important;
}

.custom-post-type-testimonial .wp-block-getwid-post-carousel__slide.slick-slide.slick-active div {
	width: 100%;
}

.wp-block-getwid-post-carousel__slide.slick-slide.slick-active {
	margin-bottom: 30px;
}

@media (max-width: 1024px) {
    .testimonials .testimonial-quote:before,
    .testimonials .testimonial-quote:after {
        display: none;
    }

    .testimonials .slick-next,
    .testimonials .slick-prev {
        top: 80%;
    }
}

/* -------------------- Distinctions -------------------- */
/* Check if all are needed */
.distinctions .wp-block-getwid-post-carousel__post-title {
    display: none;
}

.distinctions .wp-block-getwid-post-carousel__post-thumbnail img {
    object-fit: contain;
}

.distinctions.wp-block-getwid-post-carousel .slick-track {
    align-items: center;
}

/* -------------------- Footer styles -------------------- */
.footer a:hover {
    color: var(--global-color-3);
}

.footer .ec_menu_ul {
    margin-left: 0em;
    list-style-type: none;
}

.footer .ec_menu_ul a:hover{
    color: var(--global-color-3) !important;
}

.footer .ec_menu_ul li.menu-item-has-children>a {
    color: var(--global-color-7) !important;
}

.ec_menu_ul ul.sub-menu {
    list-style-type: none;
}

.footer .ec_menu_ul li a {
	color: var(--base-1);
}

.site-footer .site-info {
	color: var(--base-1)
}

.site-footer .site-info a {
    color: var(--base-1);
    text-decoration: underline;
}

/* -------------------- WP Forms styles -------------------- */
/* Check if needed */
/* Update color */
/* Submit button footer style - .btn-footer custom class in WPForms */
.wpforms-submit.btn-footer {
    color: var(--contrast) !important;
    background-color: var(--global-color-2) !important;
    border: none !important;
}

/* Check if needed */
/* Update color */
/* Submit button footer hover style - .btn-footer custom class in WPForms */
.wpforms-submit.btn-footer:hover {
    color: var(--base-1) !important;
    background-color: var(--global-color-1) !important;
    border: none !important;
}

/* Update color */
/* Submit button style */
div.wpforms-container-full .wpforms-form input[type='submit'],
div.wpforms-container-full .wpforms-form button[type='submit'],
div.wpforms-container-full .wpforms-form .wpforms-page-button {
    color: var(--contrast) !important;
    background-color: var(--global-color-2) !important;
    padding: 10px 39px !important;
    border: solid 1px white !important;
    transition: all 0.5s ease 0s !important;
    margin-top: 20px;
    box-shadow: 0px 4px 4px 0px rgba(0, 0, 0, 0.25);
    font-weight: 600;
    position: relative;
    text-decoration: none;
    text-transform: capitalize;
    border-radius: 1000px;
    font-family: Figtree;
    font-size: 16px;
}

/* Update color */
/* Submit button hover style */
div.wpforms-container-full .wpforms-form input[type='submit']:hover,
div.wpforms-container-full .wpforms-form input[type='submit']:focus,
div.wpforms-container-full .wpforms-form input[type='submit']:active,
div.wpforms-container-full .wpforms-form button[type='submit']:hover,
div.wpforms-container-full .wpforms-form button[type='submit']:focus,
div.wpforms-container-full .wpforms-form button[type='submit']:active,
div.wpforms-container-full .wpforms-form .wpforms-page-button:hover,
div.wpforms-container-full .wpforms-form .wpforms-page-button:active,
div.wpforms-container-full .wpforms-form .wpforms-page-button:focus
div.wpforms-container-full button[type=submit]:hover {
    background: unset !important;
    background-color: #f7e4be !important;
    color: var(--contrast);
    transform: translate3d(0px, 2px, 0px);
    border: 1px solid var(--global-color-2);
}

div.wpforms-container-full .wpforms-field-label, .wp-core-ui div.wpforms-container-full .wpforms-field-label {
    margin-bottom: 5px !important;
}

.wpforms-container .wpforms-field, .wp-core-ui div.wpforms-container .wpforms-field {
    padding: 5px 0 !important;
}

@media (max-width: 500px) {
    div.wpforms-field-container .wpforms-field-name .wpforms-one-half {
        width: 100% !important;
    }

    div.wpforms-field-container
        .wpforms-field-name
        .wpforms-field-row
        > .wpforms-one-half:last-child {
        margin: 20px 0 0;
    }
}

/* ----------------- Embed Form Button ------------------ */
.hcp-button {
	background-color: var(--base-1) !important;
	color: black !important;
	text-transform: unset !important;
	display: inline-flex;
	column-gap: 0.5em;
	border-radius: 14px !important;
	padding: 15px 30px !important;
}

.hcp-button svg {
	height: 16px;
	width: 16px;
}

.hcp-button:hover {
	box-shadow: unset !important;
}

@media only screen and (max-width: 767px) {
	.hcp-button {
		width: 100% !important;
		justify-content: center !important;
	}
}

/* -------------------- Overlay Meny -------------------- */
.gb-overlay__content p.gb-headline-text {
    margin-bottom: 20px !important;
    text-align: center;
}

.gb-overlay__content>div {
    background-color: rgba(229, 172, 0, 0.75) !important;
}

div.wpforms-container-full .wpforms-form .wpforms-submit-container {
    margin-top: 0 !important;
    display: flex;
    justify-content: end;
}

.gb_overlay__content div.wpforms-container .wpforms-field {
    padding-top: 0;
}

.gb_overlay__content div.wpforms-container-full .wpforms-field-label {
    margin-bottom: 5px;
}

.grecaptcha-badge {
    width: 100%;
}

@media only screen and (max-width: 767px) {
    .gb-overlay__content div.wpforms-container-full .wpforms-form .wpforms-submit-container {
        margin-top: 65px !important;
    }
}

/* -------------------- General styles -------------------- */
/* Style page content links */
a {
    cursor: pointer;
}

.inside-article a:not(.gb-text,.gb-container ) {
	color: var(--global-color-2);
	text-decoration: underline;
}

.inside-article a:not(.gb-text,.gb-container ):hover {
	color: var(--contrast);
}

@media only screen and (max-width: 767px) {
    .homepage-cta {
        background-color: rgba(243, 243, 243, .75) !important;
    }
}

/* Videos Page */
.page-id-4760 iframe {
    height: 300px;
}

.video-loop>div>div {
    grid-gap: 20px;
}